/*
  Bork'' D'arkad'
*/

html, body { min-height: 100% }

body {
    background-color: #222;
}

a {
    /*display: inline-block;*/
    color: #b22222;
    padding: 0 4px;
    text-decoration: none;
}
a:hover, a:focus {
    background-color: #b22222;
    color: white;
}
aside a { display: inline-block }

header {
    padding: 1em;
    background-color: #cc6666;
    text-align: center;
}

header h2 {
    margin-top: 0;
    font-size: 1.4em;
}

header h1,
header h2 {
    text-shadow: 1px 1px 2px rgba(200,200,200,0.3);
}

#content {
    margin: 0 auto;
    max-width: 580px; /* (60+20)*7 */
}

article {
    /*max-width: 580px; /* (60+20)*7 */
    padding: 1em;
    background-color: #b0c4de;
    position: relative;
    margin: 1em;
    box-shadow: 0 0 5px 3px rgba(204, 102, 102, 0.3);
    border-radius: 1em;
}

article h1 {
    color: #1a1a1a;
    text-shadow: 1px 1px 2px rgba(0,0,0,0.3);
}

article h2 {
    color: #4d4d4d;
    text-shadow: 1px 1px 2px rgba(0,0,0,0.3);
    font-size: 1.4em;
}
h1, h2, article { clear: both }
h1.noclear, h2.noclear { clear: none }

article h1 + h2 {
    margin-top: 0;
}

footer {
    padding: 1em;
    text-align: center;
    color: white;
}

td + td, th + th, tfoot td { text-align: right }


aside img { border-radius: 5px }
aside a { padding: 0; margin-bottom: 5px }
aside img + a { margin-top: 10px }
aside a:hover,
aside a:focus,
aside img {
    background-color: transparent;
    box-shadow: 0 0 5px 3px rgba(0, 0, 0, 0.3);
}
#content > aside a:hover,
#content > aside a:focus,
#content > aside img {
    box-shadow: 0 0 5px 3px rgba(200, 200, 200, 0.3);
}

/*@media (min-width: 580px) {*/
    article aside {
        float: right;
        position: relative;
        /*right: -10px;*/
        width: 120px;
        text-align: right;
    }
    /*article.photocolumn { padding-right: 120px }*/
/*}*/

aside.photos {
    padding: 1.5em;
    text-align: center;
    float: none;
    position: relative;
    width: auto;
    right: auto;
}
aside.photos a {
    margin-left: 0.5em;
    margin-right: 0.5em;
    margin-bottom: 1em;
}

/* bigpic */

#bigpic {
    z-index: 3;
    background-color: rgba(0, 0, 0, 0.3);
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    cursor: pointer;
}
#bigpic img {
    /*cursor: pointer;*/
}